﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1GanttView;

namespace DataBinding
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void LoadData()
        {
            try
            {
                tasksTableAdapter1.Fill(c1NwindDataSet1.Tasks);
                resourcesTableAdapter1.Fill(c1NwindDataSet1.Resources);
                propertiesTableAdapter1.Fill(c1NwindDataSet1.Properties);
                calendarsTableAdapter1.Fill(c1NwindDataSet1.Calendars);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void SaveData()
        {
            try
            {
                tasksTableAdapter1.Update(c1NwindDataSet1.Tasks);
                resourcesTableAdapter1.Update(c1NwindDataSet1.Resources);
                propertiesTableAdapter1.Update(c1NwindDataSet1.Properties);
                calendarsTableAdapter1.Update(c1NwindDataSet1.Calendars);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var tsMenu = (c1GanttView1.Controls[4] as ToolStrip);
            var tsbXML = tsMenu.Items[1];

            ToolStripButton customSave = new ToolStripButton(tsbXML.Text, tsbXML.Image);
            customSave.DisplayStyle = tsbXML.DisplayStyle;
            customSave.Click += CustomSave_Click;
            tsMenu.Items.Remove(tsbXML);
            tsMenu.Items.Insert(1, customSave);


            LoadData();
        }

        private void CustomSave_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Custom Click");
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            SaveData();
        }

    }
}
